@if (componentData$ | async; as componentData) {
  <div class="full-width full-height" sqtmCoreAnchorResize>
    <div
      class="full-width full-height p-r-15"
      style="overflow-y: auto"
      sqtmCoreAnchorScroll
    >
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'information'"
          [sqtmCoreAnchorCollapsePanel]="'information'"
          [nzHeader]="informationTitle"
        >
          <ng-template #informationTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.generic.label.information.plural' | translate }}
            </div>
          </ng-template>
          <sqtm-app-scm-server-information-panel
            [componentData]="componentData"
          >
          </sqtm-app-scm-server-information-panel>
        </nz-collapse-panel>
      </nz-collapse>
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'authentication-protocol'"
          [sqtmCoreAnchorCollapsePanel]="'authentication-protocol'"
          [nzHeader]="authProtocolTitle"
        >
          <ng-template #authProtocolTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.entity.server.auth-protocol.label' | translate }}
            </div>
          </ng-template>
          <sqtm-app-scm-server-authentication-protocol-panel
            [componentData]="componentData"
          >
          </sqtm-app-scm-server-authentication-protocol-panel>
        </nz-collapse-panel>
      </nz-collapse>
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'authentication-policy'"
          [sqtmCoreAnchorCollapsePanel]="'authentication-policy'"
          [nzHeader]="authPolicyTitle"
        >
          <ng-template #authPolicyTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.entity.server.auth-policy.label' | translate }}
            </div>
          </ng-template>
          <sqtm-app-scm-server-authentication-policy-panel
            [componentData]="componentData"
          >
          </sqtm-app-scm-server-authentication-policy-panel>
        </nz-collapse-panel>
      </nz-collapse>
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          [sqtmCoreAnchorPanel]="'commit-policy'"
          [sqtmCoreAnchorCollapsePanel]="'commit-policy'"
          [nzHeader]="commitPolicyTitle"
        >
          <ng-template #commitPolicyTitle>
            <div class="entity-view-collapse-panel-title">
              {{
                'sqtm-core.entity.scm-server.commit-policy.label' | translate
              }}
            </div>
          </ng-template>
          <sqtm-app-scm-server-commit-policy-panel
            [componentData]="componentData"
          >
          </sqtm-app-scm-server-commit-policy-panel>
        </nz-collapse-panel>
      </nz-collapse>
      <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
        <nz-collapse-panel
          sqtmCoreAnchorLastPanel
          [sqtmCoreAnchorPanel]="'repositories'"
          [sqtmCoreAnchorCollapsePanel]="'repositories'"
          [nzHeader]="repositoriesTitle"
          [nzExtra]="repositoriesGridButtons"
        >
          <ng-template #repositoriesTitle>
            <div class="entity-view-collapse-panel-title">
              {{ 'sqtm-core.entity.scm-server.repositories.label' | translate }}
            </div>
          </ng-template>
          <sqtm-app-scm-server-repositories-panel>
          </sqtm-app-scm-server-repositories-panel>
        </nz-collapse-panel>
      </nz-collapse>
      <ng-template #repositoriesGridButtons>
        <div class="admin-view-panel-buttons">
          <div [attr.data-test-button-id]="'add-repository'">
            <i
              nz-icon
              nzType="sqtm-core-generic:add"
              nzTheme="outline"
              class="current-workspace-button action-icon-size"
              nz-tooltip
              [nzTooltipTitle]="
                'sqtm-core.entity.scm-server.repositories.tooltips.add-repository'
                  | translate
              "
              nzTooltipPlacement="top"
              (click)="addRepository($event)"
            >
            </i>
          </div>
          <sqtm-core-toggle-icon
            [attr.data-test-toolbar-button-id]="'delete-repositories'"
            [active]="repositoriesGridService.hasSelectedRows$ | async"
          >
            <i
              nz-icon
              nzType="sqtm-core-generic:delete"
              nzTheme="outline"
              nz-tooltip
              class="action-icon-size"
              [nzTooltipTitle]="
                'sqtm-core.entity.scm-server.repositories.tooltips.delete-repositories'
                  | translate
              "
              nzTooltipPlacement="topRight"
              (click)="deleteRepositories($event)"
            ></i>
          </sqtm-core-toggle-icon>
        </div>
      </ng-template>
      <div id="sqtm-core-ghost-div" sqtmCoreAnchorGhostDiv></div>
    </div>
  </div>
}
